javax.swing.event

## Interface UndoableEditListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    UndoManager

      public interface UndoableEditListener
      extends EventListener

  Interface implemented by a class interested in hearing about undoable operations.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `undoableEditHappened(UndoableEditEvent e)` An undoable edit happened

- - ### Method Detail

    - #### undoableEditHappened

          void undoableEditHappened(UndoableEditEvent e)

      An undoable edit happened

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.